Skip to main content
GET
/
organizations
/
{organizationId}
/
entitlements
Get organization entitlements
curl --request GET \
  --url https://api.hixbe.com/account/organizations/{organizationId}/entitlements \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "service": "PAYMENT_GATEWAY",
    "tier": "FREE",
    "status": "ACTIVE",
    "usage": {
      "current": 123,
      "limit": 123
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Response

200 - application/json

List of organization entitlements

id
string
required

Entitlement unique identifier

service
enum<string>
required

Service this entitlement is for

Available options:
PAYMENT_GATEWAY,
SMS_GATEWAY,
LINK_SHORTENER,
PBX_CALL_CENTER,
HOSTING,
NATIONAL_ISP,
CERTIFICATION_BADGE
tier
enum<string>
required

Subscription tier

Available options:
FREE,
PRO,
BUSINESS,
CUSTOM
status
enum<string>
required

Entitlement status

Available options:
ACTIVE,
SUSPENDED,
CANCELLED,
EXPIRED
usage
object

Usage tracking information

createdAt
string<date-time>

Entitlement creation timestamp

updatedAt
string<date-time>

Entitlement last update timestamp